Bug 1721131 - The dynflow scheduling mechanism can lead to tasks initiated later to be executed sooner, leaving older tasks waiting
Summary: The dynflow scheduling mechanism can lead to tasks initiated later to be exec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.2
Assignee: Ivan Necas
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On: 1609371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-17 12:43 UTC by Ivan Necas
Modified: 2019-10-30 17:02 UTC (History)
12 users (show)

Fixed In Version: tfm-rubygem-dynflow-1.1.6.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1609371
Environment:
Last Closed: 2019-08-06 14:37:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2363 0 None None None 2019-08-06 14:37:43 UTC

Comment 4 Mike McCune 2019-07-02 17:04:01 UTC
*** Satellite 6.5.0 and 6.5.1 Hotfix available ***

1) Download hotfix RPM:

wget https://people.redhat.com/~mmccune/hotfix/tfm-rubygem-dynflow-1.1.6-2.HOTFIXRHBZ1721131.el7sat.noarch.rpm

2) Upgrade RPM:

rpm -Uvh tfm-rubygem-dynflow-1.1.6-2.HOTFIXRHBZ1721131.el7sat.noarch.rpm

3) Restart services:

foreman-maintain service restart

4) resume operations

Comment 12 errata-xmlrpc 2019-08-06 14:37:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2363


Note You need to log in before you can comment on or make changes to this bug.